Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.server
Class RawDynamicInvoker

    java.lang.Object
      org.jboss.mx.server.AbstractMBeanInvoker
          org.jboss.mx.server.RawDynamicInvoker

All Implemented Interfaces:
  DynamicMBean, MBeanInvoker, MBeanRegistration, NotificationBroadcaster, NotificationEmitter, Suspendable

Direct Known Subclasses:
  RequiredModelMBeanInvoker

public class RawDynamicInvoker
extends AbstractMBeanInvoker

Version:
  $Revision: 1.9 $
Author:
  Juha Lindfors.

Nested Class Summary

Nested classes inherited from class org.jboss.mx.server.AbstractMBeanInvoker
`AbstractMBeanInvoker.OperationKey`

Field Summary

Fields inherited from class org.jboss.mx.server.AbstractMBeanInvoker
`attributeContextMap, constructorContextMap, dynamicResource, getMBeanInfoCtx, info, log, operationContextMap, postDeregisterCtx, postRegisterCtx, preDeregisterCtx, preRegisterCtx, resourceEntry`

Constructor Summary
`RawDynamicInvoker(DynamicMBean resource)`

Method Summary
`Object` | `getAttribute(String name)` Returns an attribte value.
`AttributeList` | `getAttributes(String[] attributes)` Returns the values of the attributes with names matching the passed string array.
`MBeanInfo` | `getMBeanInfo()` Returns the management interface that describes this dynamic resource.
`Object` | `invoke(String name, Object[] args, String[] signature)` Invokes the target resource.
`void` | `postDeregister()` This method is called by the MBeanServer after deregistration takes place.
`void` | `postRegister(Boolean b)` This method is called by the MBeanServer after registration takes place or when registration fails.
`void` | `preDeregister()` This method is called by the MBeanServer before deregistration takes place.
`ObjectName` | `preRegister(MBeanServer server, ObjectName oname)` Initializes this invoker.
`void` | `setAttribute(Attribute attribute)` Sets an attribute value.
`AttributeList` | `setAttributes(AttributeList attributes)` Sets the values of the attributes passed as an `AttributeList` of name and new value pairs.

Methods inherited from class org.jboss.mx.server.AbstractMBeanInvoker
`addNotificationListener, addNotificationListenerToResource, getInvocationTimeout, getMBeanEntry, getMetaData, getNotificationInfo, getNotificationInfoFromResource, getObjectName, getResource, getServer, getSignatureString, initAttributeContexts, initDispatchers, initOperationContexts, inject, invokePostDeregister, invokePostRegister, invokePreDeregister, invokePreRegister, isSuspended, override, removeNotificationListener, removeNotificationListener, removeNotificationListenerFromResource, removeNotificationListenerFromResource, resume, setInvocationTimeout, setMBeanEntry, setResource, suspend, suspend, suspend, updateAttributeInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawDynamicInvoker

    public RawDynamicInvoker(DynamicMBean resource)

Method Detail

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

  Description copied from class: `AbstractMBeanInvoker`
  Sets an attribute value. The operation is forced through a set of interceptors before the new value for the attribute is set.

  Specified by:
    `setAttribute` in interface `DynamicMBean`
  Overrides:
    `setAttribute` in class `AbstractMBeanInvoker`
  Parameters:
    `attribute` - new attribute value
  Throws:
    `AttributeNotFoundException` - if the requested attribute is not part of the MBean's management interface
    `MBeanException` - if setting the attribute value causes an application exception
    `ReflectionException` - if there was an error trying to set the attribute value.
    `InvalidAttributeValueException` - if the attribute contains a value not suitable for the attribute

### setAttributes

    public AttributeList setAttributes(AttributeList attributes)

  Description copied from interface: `DynamicMBean`
  Sets the values of the attributes passed as an `AttributeList` of name and new value pairs.

  Specified by:
    `setAttributes` in interface `DynamicMBean`
  Overrides:
    `setAttributes` in class `AbstractMBeanInvoker`

### getAttribute

    public Object getAttribute(String name)
                        throws AttributeNotFoundException,
                               MBeanException,
                               ReflectionException

  Description copied from class: `AbstractMBeanInvoker`
  Returns an attribte value. The request for the value is forced through a set of interceptors before the value is returned.

  Specified by:
    `getAttribute` in interface `DynamicMBean`
  Overrides:
    `getAttribute` in class `AbstractMBeanInvoker`
  Parameters:
    `name` - attribute name
  Returns:
    attribute value
  Throws:
    `AttributeNotFoundException` - if the requested attribute is not part of the MBean's management interface
    `ReflectionException` - if there was an error trying to retrieve the attribute value
    `MBeanException` - if retrieving the attribute value causes an application exception

### getAttributes

    public AttributeList getAttributes(String[] attributes)

  Description copied from interface: `DynamicMBean`
  Returns the values of the attributes with names matching the passed string array.

  Specified by:
    `getAttributes` in interface `DynamicMBean`
  Overrides:
    `getAttributes` in class `AbstractMBeanInvoker`

### invoke

    public Object invoke(String name,
                         Object[] args,
                         String[] signature)
                  throws MBeanException,
                         ReflectionException

  Description copied from class: `AbstractMBeanInvoker`
  Invokes the target resource. The default invocation used by this invoker implement sends the invocation through a stack of interceptors before reaching the target method.

  Specified by:
    `invoke` in interface `DynamicMBean`
  Overrides:
    `invoke` in class `AbstractMBeanInvoker`
  Parameters:
    `name` - name of the target method
    `args` - argumetns for the target method
    `signature` - signature of the target method
  Throws:
    `ReflectionException` - if there was an error trying to resolve or invoke the target method
    `MBeanException` - if the target method raised a hecked exception

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Description copied from interface: `DynamicMBean`
  Returns the management interface that describes this dynamic resource. It is the responsibility of the implementation to make sure the description is accurate.

  Specified by:
    `getMBeanInfo` in interface `DynamicMBean`
  Overrides:
    `getMBeanInfo` in class `AbstractMBeanInvoker`

### preRegister

    public ObjectName preRegister(MBeanServer server,
                                  ObjectName oname)
                           throws Exception

  Description copied from class: `AbstractMBeanInvoker`
  Initializes this invoker. At the registration time we can be sure that all of the metadata is available and initialize the invoker and cache the data accordingly.

  Subclasses that override the `preRegister` method must make sure they call `super.preRegister()` in their implementation to ensure proper initialization of the invoker.

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Overrides:
    `preRegister` in class `AbstractMBeanInvoker`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean b)

  Description copied from interface: `MBeanRegistration`
  This method is called by the MBeanServer after registration takes place or when registration fails.

  Specified by:
    `postRegister` in interface `MBeanRegistration`
  Overrides:
    `postRegister` in class `AbstractMBeanInvoker`

### preDeregister

    public void preDeregister()
                       throws Exception

  Description copied from interface: `MBeanRegistration`
  This method is called by the MBeanServer before deregistration takes place.

  The MBean can throw an exception, this will stop the deregistration. The exception is forwarded to the invoker wrapped in an MBeanRegistrationException.

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Overrides:
    `preDeregister` in class `AbstractMBeanInvoker`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Description copied from interface: `MBeanRegistration`
  This method is called by the MBeanServer after deregistration takes place.

  Specified by:
    `postDeregister` in interface `MBeanRegistration`
  Overrides:
    `postDeregister` in class `AbstractMBeanInvoker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.